# $Revision: 1.7 $, $Date: 2009/03/06 23:31:05 $

%define		qtver	4.4.3

Summary:	Manager for sqlite - Sqlite Databases Made Easy
Summary(pl.UTF-8):	Zarządca baz sqlite
Name:		sqliteman
Version:	1.2.1
Release:	1
# src is GPLv2+, icons are LGPLv2+
License:	GPLv2+ and LGPLv2+
Group:		Applications/Databases
Source0:	http://dl.sourceforge.net/sqliteman/%{name}-%{version}.tar.bz2
# Source0-md5:	1ad603d38e4eda63f1386c6ee22a2838
URL:		http://www.sqliteman.com/
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	cmake >= 2.6.2
BuildRequires:	qscintilla2-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.293
Requires:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sqliteman is handy tool for tuning SQL statements, manage tables,
views, or triggers, administrate the database space and index
statistics.

%description -l pl.UTF-8
Sqliteman jest przydatnym narzędziem pozwalającym na optymalizację
zapytań SQL, zarządzanie tabelami, widokami czy triggerami,
administracją przestrzenią bazy i statystyk indeksów.

%prep
%setup -q

%build
install -d build
cd build
%cmake  \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sqliteman
%{_iconsdir}/*.png
%{_desktopdir}/*.desktop
%{_datadir}/%{name}

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: sqliteman.spec,v $
Revision 1.7  2009/03/06 23:31:05  adamg
- updated to 1.2.1

Revision 1.6  2009/01/12 00:16:28  shadzik
- more Qt4 BRs
- standardize cmake usage
- verbose binaries

Revision 1.5  2009/01/12 00:06:39  charles
- BR: cmake, qt4-build, qt4-qmake

Revision 1.4  2008/12/26 09:50:18  adamg
- fixed previous commit msg

Revision 1.3  2008/12/26 01:52:48  adamg
- release 3 for Th

Revision 1.2  2008/08/12 20:35:24  adamg
- release 2 (rebuild against qscintilla2-2.2)

Revision 1.1  2008/08/01 16:10:25  adamg
- new
